EventConfig
EventConfig::__construct
EventConfig
PHP Manual

# EventConfig::avoidMethod

(PECL event >= 1.2.6-beta)

EventConfig::avoidMethod — Tells libevent to avoid specific event method

### Description

public bool EventConfig::avoidMethod ( int `$method` )

Tells libevent to avoid specific event method(backend). See » Creating an event base .

### Parameters

`method`

  The backend method to avoid. See EventConfig constants .

### Return Values

Returns `TRUE` on success, otherwise `FALSE`.

### Examples

Example #1 EventConfig::avoidMethod() example

`<?php
$cfg = new EventConfig();
if ($cfg->avoidMethod("select")) {
echo "`select' method avoided\n";
}
?>`

### See Also

- EventBase::__construct() - Constructs EventBase object

EventConfig
EventConfig::__construct
EventConfig
PHP Manual